Subject: Re: [Bugme-new] [Bug 11144] New: dhcp doesn't work with iwl4965

From: François Valenduc<[email-masked]>
Date: Wed, 30 Jul 2008 20:04:31 +0200

Johannes Berg a écrit :
> On Thu, 2008-07-24 at 14:35 +0300, Tomas Winkler wrote:
>
>   
>>>> Isn't this time to make 802.11 native?
>>>>         
>>> You mean by making these things real skb members? I hope you're
>>> not talking about the entire 48 bytes? :)
>>>       
>> I mean elevating 802.11 header to 802.3 level. Not doing 802.3 ->
>> 802.11 translation where not needed.
>>     
>
>
> We've discussed that over and over and over and over again, and it's not
> going to fly since 802.11 throughout assumes that you have a two-address
> data service to the upper layers.
>
> Besides, making it 802.11 native doesn't help with the control
> information at all.
>
> johannes
>   
It seems the patch you made an available at 
http://lkml.org/lkml/2008/7/29/153 solves my problem. DHCP works again 
if I apply it on kernel 2.6.27-rc1.

François